endop
Prev | Orchestra Opcodes and Operators | Next

## endop

endop — Marks the end of an user-defined opcode block.

## Description

Marks the end of an user-defined opcode block.

## Syntax

                endop

## Performance

The syntax of a user-defined opcode block is as follows:

    opcode  name, outtypes, intypes
    xinarg1 [, xinarg2] [, xinarg3] ... [xinargN]  xin
    [setksmps  iksmps]
    ... the rest of the instrument's code.
    xout  xoutarg1 [, xoutarg2] [, xoutarg3] ... [xoutargN]
    endop

The new opcode can then be used with the usual syntax:

    [xinarg1] [, xinarg2] ... [xinargN]  name  [xoutarg1] [, xoutarg2] ... [xoutargN] [, iksmps]

## Examples

See the example for the opcode opcode.

## See Also

opcode, setksmps, xin, xout

## Credits

Author: Istvan Varga, 2002; based on code by Matt J. Ingalls

New in version 4.22

Prev | Up | Next
endin | Home | envlpx